import Vue from "vue";
import Vuex from "vuex";
import user from "../modules/portal/store/user";
import currentPaths from "../modules/portal/store/currentPaths";
import menuList from "../modules/portal/store/menuList";
import { card } from "../modules/card/store";
import paperExport from "../modules/paper-export/store";
import importEdit from "../modules/question/components/import-edit/store";

Vue.use(Vuex);

export default new Vuex.Store({
  state: {
    version: "",
  },
  mutations: {
    setVersion(state, version) {
      sessionStorage.setItem("version", version);
      state.version = version;
    },
  },
  actions: {},
  modules: {
    user,
    currentPaths,
    menuList,
    card,
    "paper-export": paperExport,
    "import-edit": importEdit,
  },
});
